# ls-bootstrap-4

Génération de CSS via SASS pour Bootstrap 4 chez Libriciel SCOP.

## Exécution

```bash
(docker image rmi -f ls-bootstrap-4 && docker image prune -f)
```

```bash
(docker-compose down ; docker-compose up ; docker-compose down)
```

* https://getbootstrap.com/docs/4.2/getting-started/theming/

## Fichier pris en compte

Voir le fichier `docker-compose.yml`.

```yml
volumes:
    - ./dist:/opt/app/dist
    - ./html:/opt/app/html
    - ./img:/opt/app/img
    - ./src:/opt/app/src
    - ./Gruntfile.js:/opt/app/Gruntfile.js
    - ./package.json:/opt/app/package.json
```

### Bootstrap 4

- https://getbootstrap.com/docs/4.0/getting-started/theming/
- https://www.ctl.io/developers/blog/post/converting-app-bootstrap4

### Grunt / Docker

- https://github.com/docker/compose/issues/4337#issuecomment-356770457
- https://github.com/gruntjs/grunt/issues/1214
- https://github.com/browserify/resolve/issues/136